QGIS 3.4.2 not capable of adding decimal coordinates when editing vertices (pl_PL locale)
2018-12-07 01:12 PM - Jakub Sprycha

Status: Open

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.4.2 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28571
Description

In version 3.4+ QGIS is not capable of editing geometry vertex coordinates with decimal values - it is only possible to enter values that are
integers. Using comma (,) in value of coordinate and entering it within Vertex Editor causes to wipe the coordinate to value of 0,0000. It is
not possible to use dot (.) - it doesn't show up in coordinate field. | tested it on Virtual layer and (mainly) PostGIS layers.

Changing separators in Windows Region Settings doens't help however | have no problem entering decimal values in QGIS 2.18.

I am using QGIS 3.4.2 on Windows 7 with Polish localization.

History

#1 - 2018-12-07 02:14 PM - Giovanni Manghi
- Status changed from Open to Feedback

related/duplicate to #17243 ?

#2 - 2018-12-07 02:36 PM - Jakub Sprycha
Not really a duplicate.

Updating vertex coords to decimal values works well with eg. American English language (decimal separator is dot), but it's broken with Polish localization

(where it should be comma). The problem is more like this one: #20255.

#3 - 2018-12-07 03:05 PM - Giovanni Manghi

Jakub Sprycha wrote:

The problem is more like this one: #20255.

that one should be fixed, so how this differs?

#4 - 2018-12-07 03:20 PM - Jakub Sprycha

20255 is about French laungage (fr_FR locale).

My report is about Polish laungage (pl_PL locale).
Also it is not the same problem, | said it is similar because it is all about varying separators among laungages - this is not the same type of problem.
#5 - 2018-12-07 03:21 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Subject changed from Qgis 3.0+ not capable of adding decimal coordinates when editing vertices to QGIS 3.4.2 not capable of adding decimal
coordinates when editing vertices (pl_PL locale)

Files

qgis-bugreport.png 9.38 KB 2018-12-07 Jakub Sprycha

2025-04-26 22



